@echo off

REM ##### 初期設定 #####
set BIN_DIR=bin
set MODULES_DIR=modules
set MOD_JK_FILE_NAME=mod_jk.so
set HTTPD_EXE=httpd.exe

REM ##### 引数取得 #####
set APACHE_HOME=%~1
set SERVICE_NAME=%~2

REM ##### 初期処理 #####
if NOT "%APACHE_HOME:~-1%" == "\" (
	set APACHE_HOME=%APACHE_HOME%\
)

REM ##### アンインストール #####
cd "%APACHE_HOME%%BIN_DIR%"
if exist "%HTTPD_EXE%" (
	"%HTTPD_EXE%" -k stop -n "%SERVICE_NAME%"
)
del /f /q "%APACHE_HOME%%MODULES_DIR%\%MOD_JK_FILE_NAME%"

exit /b 0
